# BarcodeFormat enum

Barcode document format

Inheritance
  - Object
  - Enum
  - BarcodeFormat

## Constructors

BarcodeFormat()
  const

## Values

AZTEC → const BarcodeFormat

  Aztec barcode type */

CODABAR → const BarcodeFormat

  CODABAR barcode type */

CODE_25 → const BarcodeFormat

  CODE_25 barcode type */

CODE_39 → const BarcodeFormat

  CODE_39 barcode type */

CODE_93 → const BarcodeFormat

  CODE_93 barcode type */

CODE_128 → const BarcodeFormat

  CODE_128 barcode type */

DATA_MATRIX → const BarcodeFormat

  DATA_MATRIX barcode type */

EAN_8 → const BarcodeFormat

  EAN_8 barcode type */

EAN_13 → const BarcodeFormat

  EAN_13 barcode type */

ITF → const BarcodeFormat

  ITF barcode type */

PDF_417 → const BarcodeFormat

  PDF_417 barcode type */

QR_CODE → const BarcodeFormat

  QR_CODE barcode type */

MICRO_QR_CODE → const BarcodeFormat

  MICRO_QR_CODE barcode type */

RSS_14 → const BarcodeFormat

  RSS_14 barcode type */

RSS_EXPANDED → const BarcodeFormat

  RSS_EXPANDED barcode type */

UPC_A → const BarcodeFormat

  UPC_A barcode type */

UPC_E → const BarcodeFormat

  UPC_E barcode type */

MSI_PLESSEY → const BarcodeFormat

  MSI Plessey barcode type */

IATA_2_OF_5 → const BarcodeFormat

  IATA (2 of 5) barcode type */

INDUSTRIAL_2_OF_5 → const BarcodeFormat

  INDUSTRIAL (2 of 5) barcode type */

## Properties

hashCode → int
  The hash code for this object.
  read-only inherited
index → int
  A numeric identifier for the enumerated value.
  read-only inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<BarcodeFormat>
  A constant List of the values in this enum, in order of their declaration.
  `[AZTEC, CODABAR, CODE_25, CODE_39, CODE_93, CODE_128, DATA_MATRIX, EAN_8, EAN_13, ITF, PDF_417, QR_CODE, MICRO_QR_CODE, RSS_14, RSS_EXPANDED, UPC_A, UPC_E, MSI_PLESSEY, IATA_2_OF_5, INDUSTRIAL_2_OF_5]`